NodeAccountingService (GWT Maven Archetype 1.5.0-SNAPSHOT API)
Date: 2014-06-01

org.gcube.messaging.accounting.nodeaccountingportlet.stubs

## Interface NodeAccountingService

- All Superinterfaces:
    com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    NodeAccountingServiceImpl

      public interface NodeAccountingService
      extends com.google.gwt.user.client.rpc.RemoteService

  Author:
    Andrea Manzi (CERN)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `export(ArrayList<String[]> records, String name)`
    `Map<String,ArrayList<String>>` | `getGHNs()`
    `String` | `getRecords(String ghn, String scope, String serviceClass, String serviceName, String sortColumn, String sortDir, int start, int limit, String[] date)`
    `ArrayList<ArrayList<String>>` | `getScopes()`
    `Map<String,ArrayList<String>>` | `getServices()`
    `String` | `getStartDate()`
    `String` | `getStatistics(String serviceClass, String serviceName, String callerScope, String ghn, String groupBy, String sortColumn, String sortDir, String[] dates)`

- - ### Method Detail

    - #### getRecords

          String getRecords(String ghn,
                          String scope,
                          String serviceClass,
                          String serviceName,
                          String sortColumn,
                          String sortDir,
                          int start,
                          int limit,
                          String[] date)
                            throws Exception

      Throws:
        `Exception`

    - #### getGHNs

          Map<String,ArrayList<String>> getGHNs()
                                                throws Exception

      Throws:
        `Exception`

    - #### getServices

          Map<String,ArrayList<String>> getServices()
                                                    throws Exception

      Throws:
        `Exception`

    - #### getScopes

          ArrayList<ArrayList<String>> getScopes()
                                                 throws Exception

      Throws:
        `Exception`

    - #### getStartDate

          String getStartDate()
                              throws Exception

      Throws:
        `Exception`

    - #### getStatistics

          String getStatistics(String serviceClass,
                             String serviceName,
                             String callerScope,
                             String ghn,
                             String groupBy,
                             String sortColumn,
                             String sortDir,
                             String[] dates)
                               throws Exception

      Throws:
        `Exception`

    - #### export

          String export(ArrayList<String[]> records,
                      String name)
                        throws Exception

      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.